play.server

## Class ServletWrapper.ServletInvocation

- java.lang.Object
- - play.Invoker.Invocation
  - - play.Invoker.DirectInvocation
    - - play.server.ServletWrapper.ServletInvocation

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ServletWrapper

    public class ServletWrapper.ServletInvocation
    extends Invoker.DirectInvocation

### Field Summary

### Fields inherited from class play.Invoker.DirectInvocation

`invocationType`

### Constructor Summary

Constructors
Constructor and Description
`ServletInvocation(Http.Request request, Http.Response response, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Override this method
`Invoker.InvocationContext` `getInvocationContext()`
`boolean` `init()` Init the call (especially useful in DEV mode to detect changes)
`void` `run()` It's time to execute.

### Methods inherited from class play.Invoker.DirectInvocation

`suspend`

### Methods inherited from class play.Invoker.Invocation

`_finally, after, before, onException, onSuccess, preInit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletInvocation

    public ServletInvocation(Http.Request request,
                             Http.Response response,
                             javax.servlet.http.HttpServletRequest httpServletRequest,
                             javax.servlet.http.HttpServletResponse httpServletResponse)

### Method Detail

#### init

    public boolean init()

Description copied from class: `Invoker.Invocation`
Init the call (especially useful in DEV mode to detect changes)

Overrides:
  `init` in class `Invoker.DirectInvocation`
Returns:
  true if successful

#### run

    public void run()

Description copied from class: `Invoker.Invocation`
It's time to execute.

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `Invoker.Invocation`

#### execute

    public void execute()
                 throws java.lang.Exception

Description copied from class: `Invoker.Invocation`
Override this method

Specified by:
  `execute` in class `Invoker.Invocation`
Throws:
  `java.lang.Exception` - Thrown if Invocation encounters any problems

#### getInvocationContext

    public Invoker.InvocationContext getInvocationContext()

Overrides:
  `getInvocationContext` in class `Invoker.DirectInvocation`